DISKINFO(8)

NAME
diskinfo - get information about disk device

SYNOPSIS
diskinfo [-citSvw] disk ...
diskinfo [-p] disk ...
diskinfo [-s] disk ...

DESCRIPTION
The diskinfo utility prints out information about a disk device, and optionally runs a naive performance test on the device.

The following options are available:

-v  Print fields one per line with a descriptive comment.

-c  Perform a simple measurement of the I/O read command overhead.

-i  Perform a simple IOPS benchmark.

-p  Return the physical path of the disk. This is a string that identifies the physical path to the disk in the storage enclosure.

-s  Return the disk ident, usually the serial number.

-S  Perform synchronous random write test (ZFS SLOG test), measuring time required to write data blocks of different size and flush disk cache. Blocks of more then 128KB are written with multiple parallel operations.

-t  Perform a simple and rather naive benchmark of the disks seek and transfer performance.

-w  Allow disruptive write tests.

If given no arguments, the output will be a single line per specified device with the following fields: device name, sectorsize, media size in bytes, media size in sectors, stripe size, stripe offset, firmware cylinders, firmware heads, and firmware sectors. The last three fields are only present if the information is available.

HISTORY
The diskinfo command appeared in FreeBSD 5.1.

AUTHORS
The diskinfo utility was written by Poul-Henning Kamp <phk@FreeBSD.org>.

BUGS
There are in order of increasing severity: lies, damn lies, statistics, and computer benchmarks.